Name:		seafile-client
Version:	9.0.7
Release:	%mkrel 1
Summary:	Seafile gui client based on Qt6
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://www.seafile.com
Source0:	https://github.com/haiwen/seafile-client/archive/v%{version}/%{name}-%{version}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(libseafile)

Requires:	qtwebengine6
Requires:	seafile >= %{version}

%description
Seafile is a next-generation open source cloud storage system, with
advanced support for file syncing, privacy protection and teamwork.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt6 -DBUILD_SHIBBOLETH_SUPPORT=ON

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/*


%changelog
* Tue Aug 06 2024 daviddavid <daviddavid> 9.0.7-1.mga10
+ Revision: 2083694
- new version: 9.0.7

* Mon Jun 17 2024 daviddavid <daviddavid> 9.0.6-1.mga10
+ Revision: 2074586
- new version: 9.0.6

* Tue Feb 27 2024 daviddavid <daviddavid> 9.0.5-1.mga10
+ Revision: 2044688
- new version: 0.9.5

* Sat Oct 21 2023 daviddavid <daviddavid> 9.0.4-1.mga10
+ Revision: 1999910
- new version: 9.0.4

* Fri Sep 01 2023 daviddavid <daviddavid> 9.0.3-1.mga10
+ Revision: 1983054
- new version: 9.0.3

* Tue Jan 03 2023 daviddavid <daviddavid> 8.0.10-2.mga9
+ Revision: 1929437
- switch to Qt6

* Mon Jan 02 2023 daviddavid <daviddavid> 8.0.10-1.mga9
+ Revision: 1928765
- new version: 8.0.10

* Wed Nov 09 2022 daviddavid <daviddavid> 8.0.9-1.mga9
+ Revision: 1904944
- new version: 8.0.9

* Wed Nov 09 2022 daviddavid <daviddavid> 8.0.8-1.mga9
+ Revision: 1904933
- new version: 8.0.8
+ neoclust <neoclust>
- New version 	8.0.7

* Tue Apr 05 2022 umeabot <umeabot> 8.0.2-2.mga9
+ Revision: 1845117
- Mageia 9 Mass Rebuild

* Tue Apr 27 2021 daviddavid <daviddavid> 8.0.2-1.mga9
+ Revision: 1719989
- new version: 8.0.2

* Sat Dec 26 2020 daviddavid <daviddavid> 8.0.1-1.mga8
+ Revision: 1663795
- new version: 8.0.1

* Thu Dec 17 2020 umeabot <umeabot> 7.0.10-2.mga8
+ Revision: 1659801
- Rebuild for new Qt5

* Thu Nov 19 2020 daviddavid <daviddavid> 7.0.10-1.mga8
+ Revision: 1647567
- new version: 7.0.10

* Thu Oct 08 2020 daviddavid <daviddavid> 7.0.9-1.mga8
+ Revision: 1632766
- new version: 7.0.9

* Wed Jul 22 2020 daviddavid <daviddavid> 7.0.8-2.mga8
+ Revision: 1607810
- add patch to fix build with Qt 5.15

* Mon Jun 08 2020 daviddavid <daviddavid> 7.0.8-1.mga8
+ Revision: 1590954
- new version: 7.0.8

* Thu May 14 2020 daviddavid <daviddavid> 7.0.7-1.mga8
+ Revision: 1583612
- new version: 7.0.7

* Wed Feb 19 2020 umeabot <umeabot> 7.0.6-2.mga8
+ Revision: 1543914
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 7.0.6-1.mga8
+ Revision: 1532238
- new version: 7.0.6

* Thu Jan 23 2020 daviddavid <daviddavid> 7.0.5-1.mga8
+ Revision: 1482322
- new version: 7.0.5
+ wally <wally>
- build with new cmake macros

* Fri Dec 20 2019 daviddavid <daviddavid> 7.0.4-1.mga8
+ Revision: 1469090
- new version: 7.0.4

* Tue Oct 29 2019 daviddavid <daviddavid> 7.0.3-1.mga8
+ Revision: 1456514
- new version: 7.0.3
- drop no more needed ccnet build dependency

* Tue Aug 20 2019 daviddavid <daviddavid> 7.0.2-1.mga8
+ Revision: 1430624
- new version: 7.0.2

* Wed Jul 17 2019 daviddavid <daviddavid> 7.0.1-1.mga8
+ Revision: 1422012
- new version: 7.0.1

* Tue Apr 02 2019 umeabot <umeabot> 6.2.11-2.mga7
+ Revision: 1384737
- Qt5 Rebuild

* Fri Jan 25 2019 daviddavid <daviddavid> 6.2.11-1.mga7
+ Revision: 1360576
- new version: 6.2.11

* Sat Dec 15 2018 daviddavid <daviddavid> 6.2.9-1.mga7
+ Revision: 1341326
- new version: 6.2.9

* Sat Nov 24 2018 daviddavid <daviddavid> 6.2.7-1.mga7
+ Revision: 1333892
- new version: 6.2.7

* Sat Nov 10 2018 daviddavid <daviddavid> 6.2.5-1.mga7
+ Revision: 1329280
- new version: 6.2.5

* Wed Sep 12 2018 wally <wally> 6.2.4-2.mga7
+ Revision: 1258645
- rebuild for aarch64

* Sat Aug 18 2018 daviddavid <daviddavid> 6.2.4-1.mga7
+ Revision: 1252501
- new version: 6.2.4

* Thu Aug 02 2018 daviddavid <daviddavid> 6.2.3-1.mga7
+ Revision: 1246820
- new version: 6.2.3

* Fri Jul 06 2018 daviddavid <daviddavid> 6.2.1-1.mga7
+ Revision: 1242279
- new version: 6.2.1
- remove merged upstream patch

* Wed Jun 13 2018 daviddavid <daviddavid> 6.1.8-2.mga7
+ Revision: 1236685
- add patch to fix build with new Qt5 >= 5.11.0

* Thu May 17 2018 daviddavid <daviddavid> 6.1.8-1.mga7
+ Revision: 1230208
- new version: 6.1.8

* Fri Mar 30 2018 daviddavid <daviddavid> 6.1.7-1.mga7
+ Revision: 1213661
- new version: 6.1.7

* Tue Mar 13 2018 daviddavid <daviddavid> 6.1.6-1.mga7
+ Revision: 1209000
- new version: 6.1.6

* Sat Feb 10 2018 daviddavid <daviddavid> 6.1.5-1.mga7
+ Revision: 1199982
- new version: 6.1.5

* Tue Dec 26 2017 daviddavid <daviddavid> 6.1.4-1.mga7
+ Revision: 1185190
- new version: 6.1.4

* Thu Nov 16 2017 daviddavid <daviddavid> 6.1.3-1.mga7
+ Revision: 1177551
- new version: 6.1.3

* Wed Oct 04 2017 daviddavid <daviddavid> 6.1.1-1.mga7
+ Revision: 1168206
- new version: 6.1.1

* Sat Sep 23 2017 daviddavid <daviddavid> 6.1.0-1.mga7
+ Revision: 1157812
- add patch to fix build with openssl 1.1.0
- new version: 6.1.0

* Sun Jul 02 2017 daviddavid <daviddavid> 6.0.7-1.mga6
+ Revision: 1108912
- new version: 6.0.7

* Sat Jul 01 2017 daviddavid <daviddavid> 6.0.6-1.mga6
+ Revision: 1108843
- new version: 6.0.6

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 6.0.0-2.mga6
+ Revision: 1086259
- rebuild for new libevent

* Mon Oct 31 2016 daviddavid <daviddavid> 6.0.0-1.mga6
+ Revision: 1064291
- new version: 6.0.0

* Mon Sep 05 2016 daviddavid <daviddavid> 5.1.3-2.mga6
+ Revision: 1050130
- do not build on armv5tl because of missing qtwebengine5

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038173
- new version: 5.1.3

* Wed May 11 2016 daviddavid <daviddavid> 5.1.1-3.mga6
+ Revision: 1012674
- remove unnecessary requires

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1010158
- add missing requires on seafile, ccnet and python-pysearpc

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1010053
- initial package seafile-client

